<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<xsl:apply-templates select="//CAProblemReport"/>
		<xsl:apply-templates select="//CCATProblemReport"/>
	</xsl:template>

	<xsl:template match="CAProblemReport">
		<HTML><HEAD><TITLE>
			<xsl:value-of select="ancestor::ProblemReport/BriefDescription"/>
		</TITLE></HEAD><BODY>
			<H3>Problem Found: <xsl:value-of select="ancestor::ProblemReport/BriefDescription"/> at <xsl:value-of select="EventTime"/></H3><DL>
			<DT><STRONG>Problem Report Times:</STRONG></DT><DD>
			<TABLE border='0'>
				<TR><TD>Event Time: </TD><TD><xsl:value-of select="EventTime"/></TD></TR>
				<TR><TD>Report Time: </TD><TD><xsl:value-of select="CreationTime"/></TD></TR>
				<TR><TD>Expiration Time: </TD><TD><xsl:value-of select="ExpirationTime"/></TD></TR>
			</TABLE></DD>
			<BR/><DT><STRONG>Managed Entity:</STRONG></DT>
			<DD><PRE><xsl:value-of select="ManagedEntity"/></PRE></DD>
			
			<DT><STRONG>Service Obligation Data:</STRONG></DT><dd><table border="0">
			<tr><td>   Service Obligation:            </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/State"/></td></tr>
			<tr><td>   Service Obligation Number:     </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/ObligationNumber"/></td></tr>
			<tr><td>   System Serial Number:          </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/SerialNumber"/></td></tr>
			<tr><td>   Service Provider Company Name: </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/ServiceProvider"/></td></tr>
			</table></dd><BR/>
			<DT><STRONG>Brief Description:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/BriefDescription"/></PRE></DD>
			<DT><STRONG>Callout ID:</STRONG></DT><DD><PRE><xsl:value-of select="CalloutID"/></PRE></DD>
			<DT><STRONG>Severity:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/Severity"/></PRE></DD>
			<DT><STRONG>Reporting Node:</STRONG></DT><DD><PRE><xsl:value-of select="ReportingNode"/></PRE></DD>
			<DT><STRONG>Full Description:</STRONG></DT><DD><PRE><xsl:value-of select="FullDescription"/></PRE></DD>
			<DT><STRONG>FRU List:</STRONG></DT><DD><PRE><xsl:value-of select="FRUList"/></PRE></DD>
			<DT><STRONG>Evidence:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/Evidence"/></PRE></DD>
			<DT><STRONG>CA Version:</STRONG></DT><DD><PRE><xsl:value-of select="CAVersion"/></PRE></DD>
			<DT><STRONG>WCC Version:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/WCCVersion"/></PRE></DD>
		</DL></BODY></HTML>
	</xsl:template>

	<xsl:template match="CCATProblemReport">
		<HTML><HEAD><TITLE>
			<xsl:value-of select="ancestor::ProblemReport/BriefDescription"/>
		</TITLE></HEAD><BODY>
			<H3>Problem Found: <xsl:value-of select="ancestor::ProblemReport/BriefDescription"/> </H3><DL>
			
			<DT><STRONG>Service Obligation Data:</STRONG></DT><dd><table border="0">
			<tr><td>   Service Obligation:            </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/State"/></td></tr>
			<tr><td>   Service Obligation Number:     </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/ObligationNumber"/></td></tr>
			<tr><td>   System Serial Number:          </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/SerialNumber"/></td></tr>
			<tr><td>   Service Provider Company Name: </td><td><xsl:value-of select="ancestor::ProblemReport/Obligation/ServiceProvider"/></td></tr>
			</table></dd><BR/>
			<DT><STRONG>Brief Description:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/BriefDescription"/></PRE></DD>
			<DT><STRONG>Severity:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/Severity"/></PRE></DD>
			<DT><STRONG>Reporting Node:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/NodeName"/></PRE></DD>
			<DT><STRONG>Full Description:</STRONG></DT><DD><PRE><xsl:value-of select="FullDescription"/></PRE></DD>
			<DT><STRONG>Evidence:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/Evidence"/></PRE></DD>
			<DT><STRONG>CCAT Version:</STRONG></DT><DD><PRE><xsl:value-of select="CCATVersion"/></PRE></DD>
			<DT><STRONG>WCC Version:</STRONG></DT><DD><PRE><xsl:value-of select="ancestor::ProblemReport/WCCVersion"/></PRE></DD>
		</DL></BODY></HTML>
	</xsl:template>
</xsl:stylesheet>